# 第3章「機械学習」サンプルコード

## 準備

Dockerコンテナを起動し、このディレクトリに移動します。

```
$ cd /webdb100/03
```

2章で作成したファイルをこのディレクトリにコピーします。

```
$ cp ../02/wikipedia_wakatied_data.txt .
```


## `categorylist.txt`

Wikipediaデータにおける地形に関するカテゴリの記事リストです。
タブ区切りで第１カラムにカテゴリ名、第２カラムはスペース区切りの記事IDリストになっています。

## `wiki_category_extract.py`

2章で作成したWikipediaのdumpデータから、特定のカテゴリに属する記事を抽出するpythonスクリプトです。
内部にて先ほどのcategorylist.txtを読み込んでいます。

```
$ python wiki_category_extract.py wikipedia_wakatied_data.txt
```

出力ファイル: `wikipedia_wakatied_categories.txt`

## `svm.py`

svmを実行するpythonスクリプトです。

```
$ python svm.py wikipedia_wakatied_categories.txt
```

## `lowcorpus-from-file.sh`

2章で作成したWikipediaのdumpデータを、gensimのlowcorpusデータに変換するpythonスクリプトです。
内部では、1行目にデータ数を書き出し、2行目以降はスペース区切りの分かち書きデータを並べただけです。

```
$ bash lowcorpus-from-file.sh wikipedia_wakatied_data.txt
```

出力ファイル: `wikipedia_lowcorpus.txt`

## `gensim_LDA_lowcorpus.py`

gensimのLDAを実行するpythonスクリプトです。

```
$ python gensim_LDA_lowcorpus.py wikipedia_wakatied_data.txt
```

出力ファイル: 標準出力および `results_raw/wakatied.txt`
