# -*- coding: utf-8 -*-

import sys
import os
import gensim
import time


#time
start_time = time.time()


#args
file = None
topic_n = 20
while len(sys.argv) > 1:
    arg = sys.argv.pop(1)
    if arg == "-n":
        try:
            topic_n = int(sys.argv.pop(1))
        except:
            exit("Error : topic_n must be a integer")
    else:
        file = arg

if not file:
    exit("usage : {0} (-n:topic_n) [filename]".format(__file__))
if not os.path.exists(file):
    exit("Error : file {0} not exist".format(file))
if topic_n < 10:
    exit("Error : topic_n must be larger than 10")




#outfile
outdir = "results_raw"
if not os.path.exists(outdir):
    os.mkdir(outdir)
indir = os.path.basename(os.path.dirname(file))
outfile = os.path.splitext(os.path.basename(file))[0].replace("_lowcorpus", "") + "_tpc{0}.txt".format(topic_n)
if indir:
    outfile = indir + "_" + outfile
outfile = outdir + "/" + outfile



#start
print("start input = {0}, n = {1}".format(file, topic_n))
print("   -> output = {0}".format(outfile))
corpus = gensim.corpora.lowcorpus.LowCorpus(file)
print("read corpus done. then LDA.")
lda = gensim.models.ldamodel.LdaModel(corpus=corpus, num_topics=topic_n, id2word=corpus.id2word)


fout = open(outfile, 'w')
for topic in lda.show_topics(-1):
    print(topic)
    fout.write(str(topic) + "\n")
#for topics_per_document in lda[corpus]:
#    print(topics_per_document)
fout.close

print("output to : " + outfile)


elapsed_time = time.time() - start_time
print ("elapsed_time : {0:.2f} sec".format(elapsed_time))


