# 第4章「深層学習とニューラルネットワーク」サンプルコード

## 準備

Dockerコンテナを起動し、このディレクトリに移動します。

```
$ cd /webdb100/04
```

3章で作成したファイルをこのディレクトリにコピーします。

```
$ cp ../03/wikipedia_lowcorpus.txt .
```

## `glove2word2vec.py`

GloVeで学習して作成したモデルファイルをgensimで読める形式に変換します。

```
$ python glove2word2vec.py (GloVe形式のモデルファイル)
```

変換したモデルは `glove.model` というファイル名で作成されます。

## `query_einstein.py`

 「アインシュタイン」－「学者」＋「音楽家」を学習したモデルで実行します。

```
$ python query_einstein.py (gensim形式のモデル)
```

## `query_tokyo.py`

 「パリ」－「フランス」＋「日本」を学習したモデルで実行します。

```
$ python query_tokyo.py (gensim形式のモデル)
```

## `showvector.py`

 学習したモデルにおいて「技術評論社」という単語の単語ベクトルを表示します。

```
$ python showvector.py (gensim形式のモデル)
```

## `word2vec.py`
List of Words(low)形式のコーパスファイルを読み込み、word2vecでの単語ベクトルを学習します。

```
$ python word2vec.py (low形式のコーパスファイル)
```

学習したモデルは `w2v.model` というファイル名で作成されます。
