import os
import sys
import tempfile
from gensim.models.keyedvectors import KeyedVectors

if len(sys.argv) != 3:
    sys.exit("glove2word2vec.py glovemodel word2vecmodel")
with open(sys.argv[1]) as glove:
    data = glove.readlines()
    with tempfile.NamedTemporaryFile(mode='w', delete=False) as fp:
        w2vfilename=fp.name
        fp.write("{} {}\n".format(len(data)-1, len(data[0].split(" "))-1))
        for l in data:
            fp.write(l)
    model = KeyedVectors.load_word2vec_format(w2vfilename, binary=False)
    model.save_word2vec_format(sys.argv[2], binary=True)
    os.unlink(w2vfilename)
